Take the 2-minute tour ×
Ask Ubuntu is a question and answer site for Ubuntu users and developers. It's 100% free, no registration required.

I've just installed Ubuntu 12.04 and was about to manually install Rawstudio with the packages from SourceForge repo, but I've been stuck with dependency issues and I am short on apt command lines to sort this out.

Here's the report I'v got :

    installArchives() failed: dpkg: dependency problems prevent configuration of     libgphoto2-2:
     libgphoto2-2 depends on libjpeg62; however:
     Package libjpeg62 is not installed.
     libgphoto2-l10n (2.4.13-1ubuntu1) breaks libgphoto2-2 (<= 2.4.10.1-4) and is installed.
      Version of libgphoto2-2 to be configured is 2.4.10.1-0ubuntu3~maverick.
      dpkg: error processing libgphoto2-2 (--configure):
      dependency problems - leaving unconfigured
    No apport report written because MaxReports is reached already
    dpkg: dependency problems prevent configuration of libgphoto2-2-dev:
    libgphoto2-2-dev depends on libgphoto2-2 (= 2.4.10.1-0ubuntu3~maverick); however:
      Package libgphoto2-2 is not configured yet.
    dpkg: error processing libgphoto2-2-dev (--configure):
    dependency problems - leaving unconfigured
    No apport report written because MaxReports is reached already
    Errors were encountered while processing:
     libgphoto2-2
     libgphoto2-2-dev
    Error in function: 
    SystemError: E:Sub-process /usr/bin/dpkg returned an error code (1)
    dpkg: dependency problems prevent configuration of libgphoto2-2:
     libgphoto2-2 depends on libjpeg62; however:
      Package libjpeg62 is not installed.
     libgphoto2-l10n (2.4.13-1ubuntu1) breaks libgphoto2-2 (<= 2.4.10.1-4) and is installed.
      Version of libgphoto2-2 to be configured is 2.4.10.1-0ubuntu3~maverick.
    dpkg: error processing libgphoto2-2 (--configure):
     dependency problems - leaving unconfigured
    dpkg: dependency problems prevent configuration of libgphoto2-2-dev:
    libgphoto2-2-dev depends on libgphoto2-2 (= 2.4.10.1-0ubuntu3~maverick); however:
      Package libgphoto2-2 is not configured yet.
    dpkg: error processing libgphoto2-2-dev (--configure):
     dependency problems - leaving unconfigured

I've tried "apt-get -f install" but without success. What is the mahick command line that will unblock the situation ?

Thanks

Seb

share|improve this question
1  
have you tried to manually find and install the missing library 'libjpeg62' ? –  Daniel Jun 20 '12 at 12:05
add comment

1 Answer 1

You can use the rawstudio's ppa:

sudo apt-add-repository ppa:rawstudio/ppa  
sudo apt-get update
sudo apt-get purge --remove rawstudio
sudo apt-get install rawstudio-daily

After that you can run it with rawstudio-daily command.

Note that the version from this ppa is the same like that what you can find at http://rawstudio.org/files/daily/

share|improve this answer
    
I had just downloaded the packages from the repo manually and dpkged them. I did it 'cause usually they are more recent than the ones in the ubuntu repo. I'm trying to redo the whole process of clean, autoclean, update and everything but it doesn't solve the problem –  user71941 Jun 20 '12 at 8:49
add comment

Your Answer

 
discard

By posting your answer, you agree to the privacy policy and terms of service.

Not the answer you're looking for? Browse other questions tagged or ask your own question.